import request from '@/config/axios'

export  const statusMap  = new Map([
  [20, "准备中"],
  [30, "就诊中"],
  [50, "过号"]
]);

// 叫号 VO
export interface CallingVO {
  patId: string // 患者编号
  patName: string // 患者姓名
  patGender: number // 患者性别
  bookCheckType: number // 预约检查类型
  seqNum: number // 排队序号
  status: number // 10:排队中 20:候诊准备 30:就诊中 40:就诊完成 50:过号 60:过期
  passed: number // 过号标记
  expired: number // 预约过期标记
  called: number
  jumpFlag: number //插队标记
  roomId: number // 诊室编号
  roomName: string // 诊室名称
  bedNo: string // 诊疗床编号
}

// 排队 API
export const ScreenApi = {
  //
  getRoomScreenData: async () => {
    return await request.get({ url: `/ecg/screen/room-screen-data` })
  },

  getBigScreenData: async () => {
    return await request.get({ url: `/ecg/screen/calling-data` })
  },

  markCalled: async (patId : string) => {
    return await request.get({ url: `/ecg/screen/mark-called?patId=` + patId })
  }
}
